# \Thelia\Model\BaseProductQuery

Base class that represents a query for the 'product' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByTaxRuleId()
filterByRef()
filterByVisible()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByTaxRule()
joinTaxRule()
useTaxRuleQuery()
filterByProductCategory()
joinProductCategory()
useProductCategoryQuery()
filterByFeatureProduct()
joinFeatureProduct()
useFeatureProductQuery()
filterByProductSaleElements()
joinProductSaleElements()
useProductSaleElementsQuery()
filterByContentAssoc()
joinContentAssoc()
useContentAssocQuery()
filterByProdutImage()
joinProdutImage()
useProdutImageQuery()
filterByProductDocument()
joinProductDocument()
useProductDocumentQuery()
filterByAccessoryRelatedByProductId()
joinAccessoryRelatedByProductId()
useAccessoryRelatedByProductIdQuery()
filterByAccessoryRelatedByAccessory()
joinAccessoryRelatedByAccessory()
useAccessoryRelatedByAccessoryQuery()
filterByRewriting()
joinRewriting()
useRewritingQuery()
filterByCartItem()
joinCartItem()
useCartItemQuery()
filterByProductI18n()
joinProductI18n()
useProductI18nQuery()
filterByProductVersion()
joinProductVersion()
useProductVersionQuery()
filterByCategory()
filterByProductRelatedByAccessory()
filterByProductRelatedByProductId()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
isVersioningEnabled()
enableVersioning()
disableVersioning()
orderById()
orderByTaxRuleId()
orderByRef()
orderByVisible()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByTaxRuleId()
groupByRef()
groupByVisible()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinTaxRule()
rightJoinTaxRule()
innerJoinTaxRule()
leftJoinProductCategory()
rightJoinProductCategory()
innerJoinProductCategory()
leftJoinFeatureProduct()
rightJoinFeatureProduct()
innerJoinFeatureProduct()
leftJoinProductSaleElements()
rightJoinProductSaleElements()
innerJoinProductSaleElements()
leftJoinContentAssoc()
rightJoinContentAssoc()
innerJoinContentAssoc()
leftJoinProdutImage()
rightJoinProdutImage()
innerJoinProdutImage()
leftJoinProductDocument()
rightJoinProductDocument()
innerJoinProductDocument()
leftJoinAccessoryRelatedByProductId()
rightJoinAccessoryRelatedByProductId()
innerJoinAccessoryRelatedByProductId()
leftJoinAccessoryRelatedByAccessory()
rightJoinAccessoryRelatedByAccessory()
innerJoinAccessoryRelatedByAccessory()
leftJoinRewriting()
rightJoinRewriting()
innerJoinRewriting()
leftJoinCartItem()
rightJoinCartItem()
innerJoinCartItem()
leftJoinProductI18n()
rightJoinProductI18n()
innerJoinProductI18n()
leftJoinProductVersion()
rightJoinProductVersion()
innerJoinProductVersion()
findOne()
findOneOrCreate()
findOneById()
findOneByTaxRuleId()
findOneByRef()
findOneByVisible()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByTaxRuleId()
findByRef()
findByVisible()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
$isVersioningEnabled
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/ProductQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ProductQuery

## Tags

None found

## Properties

### $isVersioningEnabled

    $isVersioningEnabled

Whether the versioning is enabled

#

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ProductQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ProductQuery

Returns a new ChildProductQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ProductQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Product|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Product|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ProductQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ProductQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTaxRuleId()

    filterByTaxRuleId(mixed $taxRuleId, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the tax_rule_id column

Example usage: `$query->filterByTaxRuleId(1234); // WHERE tax_rule_id = 1234 $query->filterByTaxRuleId(array(12, 34)); // WHERE tax_rule_id IN (12, 34) $query->filterByTaxRuleId(array('min' => 12)); // WHERE tax_rule_id > 12`

#### Parameters

mixed | $taxRuleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVisible()

    filterByVisible(mixed $visible, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the visible column

Example usage: `$query->filterByVisible(1234); // WHERE visible = 1234 $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34) $query->filterByVisible(array('min' => 12)); // WHERE visible > 12`

#### Parameters

mixed | $visible | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\ProductQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTaxRule()

    filterByTaxRule(\Thelia\Model\TaxRule|\Propel\Runtime\Collection\ObjectCollection $taxRule, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\TaxRule object

#### Parameters

\Thelia\Model\TaxRule|\Propel\Runtime\Collection\ObjectCollection | $taxRule | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinTaxRule()

    joinTaxRule(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the TaxRule relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useTaxRuleQuery()

    useTaxRuleQuery(string $relationAlias, string $joinType) : \Thelia\Model\TaxRuleQuery

Use the TaxRule relation TaxRule object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\TaxRuleQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductCategory()

    filterByProductCategory(\Thelia\Model\ProductCategory|\Propel\Runtime\Collection\ObjectCollection $productCategory, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProductCategory object

#### Parameters

\Thelia\Model\ProductCategory|\Propel\Runtime\Collection\ObjectCollection | $productCategory | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductCategory()

    joinProductCategory(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProductCategory relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductCategoryQuery()

    useProductCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductCategoryQuery

Use the ProductCategory relation ProductCategory object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductCategoryQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByFeatureProduct()

    filterByFeatureProduct(\Thelia\Model\FeatureProduct|\Propel\Runtime\Collection\ObjectCollection $featureProduct, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\FeatureProduct object

#### Parameters

\Thelia\Model\FeatureProduct|\Propel\Runtime\Collection\ObjectCollection | $featureProduct | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinFeatureProduct()

    joinFeatureProduct(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the FeatureProduct relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useFeatureProductQuery()

    useFeatureProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\FeatureProductQuery

Use the FeatureProduct relation FeatureProduct object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureProductQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductSaleElements()

    filterByProductSaleElements(\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection $productSaleElements, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProductSaleElements object

#### Parameters

\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection | $productSaleElements | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductSaleElements()

    joinProductSaleElements(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProductSaleElements relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductSaleElementsQuery()

    useProductSaleElementsQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductSaleElementsQuery

Use the ProductSaleElements relation ProductSaleElements object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductSaleElementsQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByContentAssoc()

    filterByContentAssoc(\Thelia\Model\ContentAssoc|\Propel\Runtime\Collection\ObjectCollection $contentAssoc, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ContentAssoc object

#### Parameters

\Thelia\Model\ContentAssoc|\Propel\Runtime\Collection\ObjectCollection | $contentAssoc | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinContentAssoc()

    joinContentAssoc(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ContentAssoc relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useContentAssocQuery()

    useContentAssocQuery(string $relationAlias, string $joinType) : \Thelia\Model\ContentAssocQuery

Use the ContentAssoc relation ContentAssoc object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ContentAssocQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProdutImage()

    filterByProdutImage(\Thelia\Model\ProdutImage|\Propel\Runtime\Collection\ObjectCollection $produtImage, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProdutImage object

#### Parameters

\Thelia\Model\ProdutImage|\Propel\Runtime\Collection\ObjectCollection | $produtImage | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProdutImage()

    joinProdutImage(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProdutImage relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProdutImageQuery()

    useProdutImageQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProdutImageQuery

Use the ProdutImage relation ProdutImage object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProdutImageQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductDocument()

    filterByProductDocument(\Thelia\Model\ProductDocument|\Propel\Runtime\Collection\ObjectCollection $productDocument, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProductDocument object

#### Parameters

\Thelia\Model\ProductDocument|\Propel\Runtime\Collection\ObjectCollection | $productDocument | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductDocument()

    joinProductDocument(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProductDocument relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductDocumentQuery()

    useProductDocumentQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductDocumentQuery

Use the ProductDocument relation ProductDocument object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductDocumentQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByAccessoryRelatedByProductId()

    filterByAccessoryRelatedByProductId(\Thelia\Model\Accessory|\Propel\Runtime\Collection\ObjectCollection $accessory, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\Accessory object

#### Parameters

\Thelia\Model\Accessory|\Propel\Runtime\Collection\ObjectCollection | $accessory | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinAccessoryRelatedByProductId()

    joinAccessoryRelatedByProductId(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the AccessoryRelatedByProductId relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useAccessoryRelatedByProductIdQuery()

    useAccessoryRelatedByProductIdQuery(string $relationAlias, string $joinType) : \Thelia\Model\AccessoryQuery

Use the AccessoryRelatedByProductId relation Accessory object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AccessoryQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByAccessoryRelatedByAccessory()

    filterByAccessoryRelatedByAccessory(\Thelia\Model\Accessory|\Propel\Runtime\Collection\ObjectCollection $accessory, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\Accessory object

#### Parameters

\Thelia\Model\Accessory|\Propel\Runtime\Collection\ObjectCollection | $accessory | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinAccessoryRelatedByAccessory()

    joinAccessoryRelatedByAccessory(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the AccessoryRelatedByAccessory relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useAccessoryRelatedByAccessoryQuery()

    useAccessoryRelatedByAccessoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\AccessoryQuery

Use the AccessoryRelatedByAccessory relation Accessory object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AccessoryQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByRewriting()

    filterByRewriting(\Thelia\Model\Rewriting|\Propel\Runtime\Collection\ObjectCollection $rewriting, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\Rewriting object

#### Parameters

\Thelia\Model\Rewriting|\Propel\Runtime\Collection\ObjectCollection | $rewriting | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinRewriting()

    joinRewriting(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the Rewriting relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useRewritingQuery()

    useRewritingQuery(string $relationAlias, string $joinType) : \Thelia\Model\RewritingQuery

Use the Rewriting relation Rewriting object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\RewritingQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCartItem()

    filterByCartItem(\Thelia\Model\CartItem|\Propel\Runtime\Collection\ObjectCollection $cartItem, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\CartItem object

#### Parameters

\Thelia\Model\CartItem|\Propel\Runtime\Collection\ObjectCollection | $cartItem | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCartItem()

    joinCartItem(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the CartItem relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartItemQuery()

    useCartItemQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartItemQuery

Use the CartItem relation CartItem object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartItemQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductI18n()

    filterByProductI18n(\Thelia\Model\ProductI18n|\Propel\Runtime\Collection\ObjectCollection $productI18n, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProductI18n object

#### Parameters

\Thelia\Model\ProductI18n|\Propel\Runtime\Collection\ObjectCollection | $productI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductI18n()

    joinProductI18n(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProductI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductI18nQuery()

    useProductI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductI18nQuery

Use the ProductI18n relation ProductI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductVersion()

    filterByProductVersion(\Thelia\Model\ProductVersion|\Propel\Runtime\Collection\ObjectCollection $productVersion, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related \Thelia\Model\ProductVersion object

#### Parameters

\Thelia\Model\ProductVersion|\Propel\Runtime\Collection\ObjectCollection | $productVersion | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductVersion()

    joinProductVersion(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the ProductVersion relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductVersionQuery()

    useProductVersionQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductVersionQuery

Use the ProductVersion relation ProductVersion object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductVersionQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Base\Category $category, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related Category object using the product_category table as cross reference

#### Parameters

\Thelia\Model\Base\Category | $category | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProductRelatedByAccessory()

    filterByProductRelatedByAccessory(\Thelia\Model\Base\Product $product, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related Product object using the accessory table as cross reference

#### Parameters

\Thelia\Model\Base\Product | $product | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProductRelatedByProductId()

    filterByProductRelatedByProductId(\Thelia\Model\Base\Product $product, string $comparison) : \Thelia\Model\ProductQuery

Filter the query by a related Product object using the accessory table as cross reference

#### Parameters

\Thelia\Model\Base\Product | $product | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### prune()

    prune(\Thelia\Model\Product $product) : \Thelia\Model\ProductQuery

Exclude object from result

#### Parameters

\Thelia\Model\Product | $product | Object to remove from the list of results

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the product table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildProduct or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\ProductQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\ProductQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\ProductQuery

Order by update date desc

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\ProductQuery

Order by update date asc

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\ProductQuery

Order by create date desc

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\ProductQuery

Order by create date asc

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\ProductQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\ProductI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ProductI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### isVersioningEnabled()

    isVersioningEnabled() : boolean

Checks whether versioning is enabled

#### Returns

boolean

#

static

## Tags

None found

### enableVersioning()

    enableVersioning()

Enables versioning

#

static

## Tags

None found

### disableVersioning()

    disableVersioning()

Disables versioning

#

static

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\ProductQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByTaxRuleId()

    orderByTaxRuleId($order =) : \Thelia\Model\ProductQuery

Order by the tax_rule_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\ProductQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByVisible()

    orderByVisible($order =) : \Thelia\Model\ProductQuery

Order by the visible column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\ProductQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ProductQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ProductQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\ProductQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\ProductQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\ProductQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\ProductQuery

Group by the id column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByTaxRuleId()

    groupByTaxRuleId() : \Thelia\Model\ProductQuery

Group by the tax_rule_id column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\ProductQuery

Group by the ref column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByVisible()

    groupByVisible() : \Thelia\Model\ProductQuery

Group by the visible column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\ProductQuery

Group by the position column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ProductQuery

Group by the created_at column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ProductQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\ProductQuery

Group by the version column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\ProductQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\ProductQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinTaxRule()

    leftJoinTaxRule($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinTaxRule()

    rightJoinTaxRule($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinTaxRule()

    innerJoinTaxRule($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProductCategory()

    leftJoinProductCategory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProductCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProductCategory()

    rightJoinProductCategory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProductCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProductCategory()

    innerJoinProductCategory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProductCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinFeatureProduct()

    leftJoinFeatureProduct($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the FeatureProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinFeatureProduct()

    rightJoinFeatureProduct($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the FeatureProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinFeatureProduct()

    innerJoinFeatureProduct($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the FeatureProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProductSaleElements()

    leftJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProductSaleElements()

    rightJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProductSaleElements()

    innerJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinContentAssoc()

    leftJoinContentAssoc($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ContentAssoc relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinContentAssoc()

    rightJoinContentAssoc($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ContentAssoc relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinContentAssoc()

    innerJoinContentAssoc($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ContentAssoc relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProdutImage()

    leftJoinProdutImage($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProdutImage relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProdutImage()

    rightJoinProdutImage($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProdutImage relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProdutImage()

    innerJoinProdutImage($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProdutImage relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProductDocument()

    leftJoinProductDocument($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProductDocument relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProductDocument()

    rightJoinProductDocument($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProductDocument relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProductDocument()

    innerJoinProductDocument($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProductDocument relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinAccessoryRelatedByProductId()

    leftJoinAccessoryRelatedByProductId($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the AccessoryRelatedByProductId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinAccessoryRelatedByProductId()

    rightJoinAccessoryRelatedByProductId($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the AccessoryRelatedByProductId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinAccessoryRelatedByProductId()

    innerJoinAccessoryRelatedByProductId($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the AccessoryRelatedByProductId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinAccessoryRelatedByAccessory()

    leftJoinAccessoryRelatedByAccessory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the AccessoryRelatedByAccessory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinAccessoryRelatedByAccessory()

    rightJoinAccessoryRelatedByAccessory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the AccessoryRelatedByAccessory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinAccessoryRelatedByAccessory()

    innerJoinAccessoryRelatedByAccessory($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the AccessoryRelatedByAccessory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinRewriting()

    leftJoinRewriting($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinRewriting()

    rightJoinRewriting($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinRewriting()

    innerJoinRewriting($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinCartItem()

    leftJoinCartItem($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinCartItem()

    rightJoinCartItem($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinCartItem()

    innerJoinCartItem($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProductI18n()

    leftJoinProductI18n($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProductI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProductI18n()

    rightJoinProductI18n($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProductI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProductI18n()

    innerJoinProductI18n($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProductI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### leftJoinProductVersion()

    leftJoinProductVersion($relationAlias =) : \Thelia\Model\ProductQuery

Adds a LEFT JOIN clause to the query using the ProductVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### rightJoinProductVersion()

    rightJoinProductVersion($relationAlias =) : \Thelia\Model\ProductQuery

Adds a RIGHT JOIN clause to the query using the ProductVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### innerJoinProductVersion()

    innerJoinProductVersion($relationAlias =) : \Thelia\Model\ProductQuery

Adds a INNER JOIN clause to the query using the ProductVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Product

Return the first ChildProduct matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Product

Return the first ChildProduct matching the query, or a new ChildProduct object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Product

Return the first ChildProduct filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByTaxRuleId()

    findOneByTaxRuleId(int $tax_rule_id) : \Thelia\Model\Product

Return the first ChildProduct filtered by the tax_rule_id column

#### Parameters

int | $tax_rule_id |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\Product

Return the first ChildProduct filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByVisible()

    findOneByVisible(int $visible) : \Thelia\Model\Product

Return the first ChildProduct filtered by the visible column

#### Parameters

int | $visible |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\Product

Return the first ChildProduct filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Product

Return the first ChildProduct filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Product

Return the first ChildProduct filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\Product

Return the first ChildProduct filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\Product

Return the first ChildProduct filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\Product

Return the first ChildProduct filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\Product

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildProduct objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByTaxRuleId()

    findByTaxRuleId(int $tax_rule_id) : array

Return ChildProduct objects filtered by the tax_rule_id column

#### Parameters

int | $tax_rule_id |

#### Returns

array

#

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildProduct objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

## Tags

None found

### findByVisible()

    findByVisible(int $visible) : array

Return ChildProduct objects filtered by the visible column

#### Parameters

int | $visible |

#### Returns

array

#

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildProduct objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildProduct objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildProduct objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildProduct objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildProduct objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildProduct objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Product

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Product —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Product|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Product|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### ProductQuery.php